﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.DataMember.Province>


@(
 Html.Grid(Model).Named("AllMemberProvince").Columns(columns =>
 {
     columns.Add(x => x.ProvinceCode)
         .Titled("ProvinceCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ProvinceCode);

     columns.Add(x => x.ProvinceName)
         .Titled("ProvinceName")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ProvinceName);

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.MemberProvince.Edit(x.ID))));

   
 })
.Sortable()
.WithPaging(5)
)

